(function() {
  var CoffeeScript, Nomtml, vm;
  var __slice = Array.prototype.slice;
  vm = require('vm');
  CoffeeScript = require('coffee-script');
  Nomtml = require('nomplate/nomtml').Nomtml;
  exports.compile = function(source, options) {
    var compiled_js, context, key, sandbox, value;
    context = new Nomtml();
    context.console = console;
    compiled_js = CoffeeScript.compile(source, context);
    sandbox = {};
    Nomtml.htmlFiveNodes.forEach(function(node) {
      return sandbox[node] = function() {
        var args;
        args = 1 <= arguments.length ? __slice.call(arguments, 0) : [];
        return context[node].apply(context, args);
      };
    });
    options.rendered_view = options.body;
    delete options.body;
    for (key in options) {
      value = options[key];
      sandbox[key] = value;
    }
    sandbox.options = options;
    vm.runInNewContext(compiled_js, sandbox);
    return function() {
      return context.output;
    };
  };
}).call(this);
