(function() {
  var Nomplate, Nomtml;
  var __hasProp = Object.prototype.hasOwnProperty, __extends = function(child, parent) {
    for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; }
    function ctor() { this.constructor = child; }
    ctor.prototype = parent.prototype;
    child.prototype = new ctor;
    child.__super__ = parent.prototype;
    return child;
  }, __slice = Array.prototype.slice, __bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; };
  Nomplate = require('nomplate/base').Nomplate;
  Nomtml = (function() {
    function Nomtml() {
      Nomtml.__super__.constructor.apply(this, arguments);
    }
    __extends(Nomtml, Nomplate);
    Nomtml.htmlFourNodes = ['a', 'abbr', 'acronym', 'address', 'applet', 'area', 'b', 'base', 'basefont', 'bdo', 'big', 'blockquote', 'body', 'br', 'button', 'caption', 'center', 'cite', 'code', 'col', 'colgroup', 'dd', 'del', 'dfn', 'dir', 'div', 'dl', 'dt', 'em', 'fieldset', 'font', 'form', 'frame', 'frameset', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'head', 'hr', 'html', 'i', 'iframe', 'img', 'input', 'ins', 'isindex', 'kbd', 'label', 'lengend', 'li', 'link', 'map', 'menu', 'meta', 'noframes', 'noscript', 'object', 'ol', 'optgroup', 'option', 'p', 'param', 'pre', 'q', 's', 'samp', 'script', 'select', 'small', 'span', 'strike', 'strong', 'style', 'sub', 'sup', 'table', 'tbody', 'td', 'textarea', 'tfoot', 'th', 'thead', 'title', 'tr', 'tt', 'tu', 'thead', 'title', 'tr', 'tt', 'u', 'ul', 'var', 'xmp'];
    Nomtml.htmlFiveNodes = Nomtml.htmlFourNodes.concat(['article', 'aside', 'command', 'details', 'summary', 'figure', 'figcaption', 'footer', 'header', 'hgroup', 'mark', 'meter', 'nav', 'progress', 'ruby', 'rt', 'rp', 'section', 'time', 'wbr', 'audio', 'video', 'source', 'embed', 'canvas', 'datalist', 'keygen', 'output', 'tel', 'search', 'url', 'email', 'datetime', 'date', 'month', 'week', 'time', 'datetime-local', 'number', 'ranger', 'color']);
    Nomtml.prototype.collapsibleNodes = ['br', 'hr', 'img'];
    Nomtml.htmlFiveNodes.forEach(__bind(function(node) {
      return this.prototype[node] = function() {
        var args;
        args = 1 <= arguments.length ? __slice.call(arguments, 0) : [];
        args.unshift(node);
        if (this.node === void 0) {
          throw "Nomtml unable to find node: " + node;
        }
        return this.node.apply(this, args);
      };
    }, Nomtml));
    Nomtml.prototype.javascript = function(srcOrBlock) {
      if (srcOrBlock instanceof Function) {
        this.write('<script type="text/javascript">');
        this.write('(');
        this.write(srcOrBlock);
        this.write(')()');
        return this.writeCloser('script');
      } else {
        return this.node('script', {
          src: srcOrBlock,
          type: 'text/javascript'
        });
      }
    };
    Nomtml.prototype.stylesheet = function(href, type) {
      if (type == null) {
        type = 'text/css';
      }
      return this.node('link', {
        rel: 'stylesheet',
        type: type,
        href: href
      });
    };
    Nomtml.prototype.image = function(src, title, alt) {
      title || (title = src);
      alt || (alt = title);
      return this.node('img', {
        src: src,
        title: title,
        alt: alt
      });
    };
    Nomtml.prototype.anchor = function(href, text, title) {
      if (title == null) {
        title = null;
      }
      title || (title = text);
      return this.node('a', {
        href: href,
        title: title
      }, text);
    };
    return Nomtml;
  }).call(this);
  exports.Nomtml = Nomtml;
}).call(this);
