(function() {
  var FakeStream, Nomplate, acceptsAttribute, acceptsAttributes, acceptsHandler, acceptsNestedHandlers, acceptsNode, acceptsStringValue, assert, instantiable, passed, passedMessage, util;
  util = require('util');
  assert = require('assert');
  Nomplate = require('nomplate').Nomplate;
  passedMessage = '';
  passed = function() {
    return passedMessage += '.';
  };
  FakeStream = (function() {
    function FakeStream() {
      this.output = '';
    }
    FakeStream.prototype.write = function(message) {
      return this.output += message;
    };
    return FakeStream;
  })();
  (instantiable = function() {
    var instance;
    instance = new Nomplate();
    assert.ok(instance);
    return passed();
  })();
  (acceptsNode = function() {
    var instance;
    instance = new Nomplate();
    instance.node('html');
    assert.equal('<html></html>', instance.output);
    return passed();
  })();
  (acceptsAttribute = function() {
    var instance;
    instance = new Nomplate();
    instance.node('div', {
      "class": 'foo'
    });
    assert.equal('<div class="foo"></div>', instance.output);
    return passed();
  })();
  (acceptsAttributes = function() {
    var instance;
    instance = new Nomplate();
    instance.node('div', {
      "class": 'foo',
      other: 'else'
    });
    assert.equal('<div class="foo" other="else"></div>', instance.output);
    return passed();
  })();
  (acceptsStringValue = function() {
    var instance;
    instance = new Nomplate();
    instance.node('title', 'Hello World');
    assert.equal('<title>Hello World</title>', instance.output);
    return passed();
  })();
  (acceptsHandler = function() {
    var instance;
    instance = new Nomplate();
    instance.node('div', function() {
      return this.node('b', 'Some Words');
    });
    assert.equal('<div><b>Some Words</b></div>', instance.output);
    return passed();
  })();
  (acceptsNestedHandlers = function() {
    var instance;
    instance = new Nomplate();
    instance.node('div', {
      "class": 'main'
    }, function() {
      return instance.node('div', function() {
        return instance.node('b', 'Other Words');
      });
    });
    assert.equal('<div class="main"><div><b>Other Words</b></div></div>', instance.output);
    return passed();
  })();
  util.log('nomplate-test: ' + passedMessage);
}).call(this);
