(function() {
  var Nomtml, anchorTag, anchorTagExplicit, assert, collapseImageTag, collapsibleNode, emitsHtmlTag, emitsScriptTag, instantiable, passed, passedMessage, specialCaseStyleSheetTag, specialJavaScriptTagWithCoffeeBody, specialJavaScriptTagWithSrc, util;
  util = require('util');
  assert = require('assert');
  Nomtml = require('nomplate').Nomtml;
  passedMessage = '';
  passed = function() {
    return passedMessage += '.';
  };
  (instantiable = function() {
    var instance;
    instance = new Nomtml();
    assert.ok(instance);
    return passed();
  })();
  (emitsHtmlTag = function() {
    var instance;
    instance = new Nomtml();
    instance.html();
    assert.equal('<html></html>', instance.output);
    return passed();
  })();
  (emitsScriptTag = function() {
    var instance;
    instance = new Nomtml();
    instance.html(function() {
      return instance.head(function() {
        instance.title('Foo');
        return instance.script({
          src: '/foo.js'
        });
      });
    });
    assert.equal('<html><head><title>Foo</title><script src="/foo.js"></script></head></html>', instance.output);
    return passed();
  })();
  (specialCaseStyleSheetTag = function() {
    var instance;
    instance = new Nomtml();
    instance.stylesheet('/bar.css');
    assert.equal('<link rel="stylesheet" type="text/css" href="/bar.css"></link>', instance.output);
    return passed();
  })();
  (collapsibleNode = function() {
    var instance;
    instance = new Nomtml();
    instance.br();
    assert.equal('<br />', instance.output);
    return passed();
  })();
  (collapseImageTag = function() {
    var instance;
    instance = new Nomtml();
    instance.image('/foo.png', 'Foo');
    assert.equal('<img src="/foo.png" title="Foo" alt="Foo" />', instance.output);
    return passed();
  })();
  (anchorTagExplicit = function() {
    var instance;
    instance = new Nomtml();
    instance.anchor('/bar.html', 'Bar', 'Bar Title');
    assert.equal('<a href="/bar.html" title="Bar Title">Bar</a>', instance.output);
    return passed();
  })();
  (anchorTag = function() {
    var instance;
    instance = new Nomtml();
    instance.anchor('/bar.html', 'Bar');
    assert.equal('<a href="/bar.html" title="Bar">Bar</a>', instance.output);
    return passed();
  })();
  (specialJavaScriptTagWithSrc = function() {
    var instance;
    instance = new Nomtml();
    instance.javascript('/foo.js');
    assert.equal('<script src="/foo.js" type="text/javascript"></script>', instance.output);
    return passed();
  })();
  (specialJavaScriptTagWithCoffeeBody = function() {
    var instance;
    instance = new Nomtml();
    instance.javascript(function() {
      return window.open("http://google.com");
    });
    return assert.equal('<script type=\"text/javascript\">(function () {\n      return window.open(\"http://google.com\");\n    })()</script>', instance.output);
  })();
  util.log('html-test: ' + passedMessage);
}).call(this);
