(function() {
  var Nomtml, assert, emitsHtmlTag, emitsScriptTag, passed, passedMessage, util, worksWithSubclassTemplate;
  var __hasProp = Object.prototype.hasOwnProperty, __extends = function(child, parent) {
    for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; }
    function ctor() { this.constructor = child; }
    ctor.prototype = parent.prototype;
    child.prototype = new ctor;
    child.__super__ = parent.prototype;
    return child;
  }, __bind = function(fn, me){ return function(){ return fn.apply(me, arguments); }; };
  util = require('util');
  assert = require('assert');
  Nomtml = require('nomplate').Nomtml;
  passedMessage = '';
  passed = function() {
    return passedMessage += '.';
  };
  (emitsHtmlTag = function() {
    var instance;
    instance = new Nomtml();
    instance.pretty = true;
    instance.html();
    assert.equal('<html></html>\n', instance.output);
    return passed();
  })();
  (emitsScriptTag = function() {
    var expected, instance;
    instance = new Nomtml();
    instance.pretty = true;
    instance.html(function() {
      return instance.head(function() {
        instance.title('Foo');
        return instance.script({
          src: '/foo.js'
        });
      });
    });
    expected = '<html>\n  <head>\n    <title>Foo</title>\n    <script src="/foo.js"></script>\n  </head>\n</html>\n';
    assert.equal(expected, instance.output);
    return passed();
  })();
  (worksWithSubclassTemplate = function() {
    var MyTemplate, expected, instance;
    MyTemplate = (function() {
      function MyTemplate() {
        MyTemplate.__super__.constructor.apply(this, arguments);
      }
      __extends(MyTemplate, Nomtml);
      MyTemplate.prototype.content = function() {
        return this.html(__bind(function() {
          this.head(__bind(function() {
            this.title('My Template');
            this.javascript('/javascripts/mine.js');
            return this.stylesheet('/stylesheets/mine.css');
          }, this));
          return this.body(__bind(function() {
            this.div({
              "class": 'header'
            });
            this.div({
              "class": 'content'
            });
            return this.div({
              "class": 'footer'
            });
          }, this));
        }, this));
      };
      return MyTemplate;
    })();
    instance = new MyTemplate();
    instance.pretty = true;
    instance.content();
    expected = '<html>\n  <head>\n    <title>My Template</title>\n    <script src="/javascripts/mine.js" type="text/javascript"></script>\n    <link rel="stylesheet" type="text/css" href="/stylesheets/mine.css"></link>\n  </head>\n  <body>\n    <div class="header"></div>\n    <div class="content"></div>\n    <div class="footer"></div>\n  </body>\n</html>\n';
    assert.equal(expected, instance.output);
    return passed();
  })();
  util.log('pretty-test: ' + passedMessage);
}).call(this);
